<template>
  <fc-designer ref="designer" :config="config"  @save="handleSave" />
</template>

<script setup>
import { ref } from 'vue';

const designer = ref();

// 获取表单 JSON 配置
const getJson = () => {
  console.log(designer.value.getJson());
};

// 加载已有配置
const loadJson = (json) => {
  designer.value.setJson(json);
};
const config = ref({
  showSaveBtn: true,
  showPreviewBtn: true,
});
function handleSave(data) {
  //保存设计规则
  console.log(data);
}
</script>
